Bug 963726 - Seam2.3 migration guide, big fat warning about components.xml namespace URI change needed
Seam2.3 migration guide, big fat warning about components.xml namespace URI c...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: doc-Seam-Reference-Guide (Show other bugs)
2.2.0
Unspecified Unspecified
unspecified Severity high
: GA
: 2.3.0
Assigned To: Sneha
Marek Schmidt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 09:31 EDT by Marek Schmidt
Modified: 2014-11-09 18:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 07:25:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2013-05-16 09:31:01 EDT
Description of problem:

The 2.1.1. Seam schema migration 

talks about the change of namespace URI, but it doesn't emphasise it properly. There should be a big fat warning that would say something like

"The original XML namespaces http://jboss.com/products/seam/* won't work anymore. The new namespace is http://jboss.org/schema/seam/*. You must update the components.xml with the new namespaces"

This is a common root of bugs, so it warrants a warning sign.

Version-Release number of selected component (if applicable):
WFK 2.2

Note You need to log in before you can comment on or make changes to this bug.